slepc-3.21.1 2024-04-26
Report Typos and Errors

# MFNAllocateSolution

Allocate memory storage for common variables such as the basis vectors.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNAllocateSolution(MFN mfn,PetscInt extra)

Collective

### Input Parameters

| mfn | - matrix function context
| extra | - number of additional positions, used for methods that require a working basis slightly larger than ncv

### Developer Notes

This is SLEPC_EXTERN because it may be required by user plugin MFN implementations.

### See Also

MFNSetUp()

### Level

developer

### Location

src/mfn/interface/mfnsetup.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages